#include "stdafx.h"

#include"myMesh.h"


void myMesh::ComputeFaceNormal()
{
	vector< myFace >::iterator fi;
	for(fi=face.begin();fi!=face.end();++fi)
		(*fi).n= Normal((*fi).v[0]->p,(*fi).v[1]->p,(*fi).v[2]->p);
}

// Da chiamare solo DOPO la ComputeFaceNormal
void myMesh::ComputeVertNormal()
{
	vector< myFace >::iterator fi;
	for(fi=face.begin();fi!=face.end();++fi)
		for(int i=0;i<3;++i)
			(*fi).v[i]->n += (*fi).n;
}


void myMesh::Draw()
{
		glColor3f(1,.2f,.2f);
	
	glBegin(GL_TRIANGLES);
	vector<myFace>::const_iterator fi;
	for(fi=face.begin();fi!=face.end();++fi)
	{
		glNormal((*fi).v[0]->n);
		glVertex((*fi).v[0]->p);
		glNormal((*fi).v[1]->n);
		glVertex((*fi).v[1]->p);
		glNormal((*fi).v[2]->n);
		glVertex((*fi).v[2]->p);
	}
	glEnd();

}