#pragma once
#include<vector>
#include<GL/gl.h>
#include<GL/glu.h>
#include<math.h>

#include<vcg/Point3.h>

using namespace std;
using namespace vcg;

class myVertex
{
public :
	myVertex(Point3d &pp,Point3d &nn) {p=pp; n=nn;}
	Point3d p;
	Point3d n;
};

class myFace
{
public:
	myVertex *v[3];
	Point3d n;
};

class myMesh {
public:
	vector< myVertex > vert;
	vector< myFace > face;
	void ComputeFaceNormal();
	void ComputeVertNormal();
	void Draw();
};
